node tool does not warn when search radius tolerance is too low

2009-11-20 11:12 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12194

Description

When trying to move a vertex with the node tool, and a 0 tolerance for search radius has been set, it is impossible to capture a node, and

no warning "Could not snap segment. Have you set the tolerance in Settings > Project Properties > General?" is issued (as it is with the

previous "Move vertex" tool

Associated revisions

Revision 0388bae9 - 2009-12-19 12:03 PM - Martin Dobias

Display warning in node tool if it couldn't find any features. Fixes #2134.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12512 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 44e73aa3 - 2009-12-19 12:03 PM - Martin Dobias

Display warning in node tool if it couldn't find any features. Fixes #2134.

git-svn-id: http://svn.osgeo.org/qgis/trunk@12512 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-12-19 03:03 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:44e73aa3 (SVN r12513).
